Bug 32465 - Force all calls to explorer package to be from AWT-queue
Force all calls to explorer package to be from AWT-queue
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Explorer
3.x
All All
: P2 (vote)
: TBD
Assigned To: t_h
issues@platform
: THREAD
Depends on: 35833
Blocks: 30561
  Show dependency treegraph
 
Reported: 2003-03-28 15:22 UTC by Jiri Rechtacek
Modified: 2008-12-22 13:35 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2003-03-28 15:22:52 UTC
All calls to explorer package should be only from
AWT-queue. explorer and  explorer/view package
contains visualization of data thus calls and
events must be from AWT. The change events in
ExplorerManager are replanned to AWT-queue now but
it can lead to a unexpected behavior.
Comment 1 Jiri Rechtacek 2003-03-28 15:24:49 UTC
See also issue 27462 - Some ExplorerViews do not conform to Swing
Thread Model.
Comment 2 Jesse Glick 2003-10-16 20:15:09 UTC
Will probably be fixed in issue #35833's branch.
Comment 3 Jiri Rechtacek 2004-04-23 10:46:22 UTC
Assigned to new owner.
Comment 4 Antonin Nebuzelsky 2008-02-07 16:14:59 UTC
Reassigning to new module owner Tomas Holy.
Comment 5 t_h 2008-10-20 09:32:10 UTC
Probably no real benefits over current state.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo